For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETGet tool schemas
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
Dashboard
LogoLogo
Runtype APITools

List built-in tools

GET
/v1/tools/builtin
GET
/v1/tools/builtin
$curl https://api.runtype.com/v1/tools/builtin \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "tool-translate-001",
5 "name": "Language Translator",
6 "description": "Translates text between multiple languages using advanced neural machine translation.",
7 "category": "Translation",
8 "providers": [
9 "OpenAI",
10 "Google"
11 ],
12 "parametersSchema": {
13 "sourceLanguage": {
14 "type": "string",
15 "description": "The language code of the source text, e.g., 'en' for English."
16 },
17 "targetLanguage": {
18 "type": "string",
19 "description": "The language code to translate the text into, e.g., 'fr' for French."
20 },
21 "text": {
22 "type": "string",
23 "description": "The text to be translated."
24 }
25 },
26 "defaultConfig": {
27 "sourceLanguage": "en",
28 "targetLanguage": "es"
29 },
30 "modelCompatibility": [
31 {
32 "provider": "OpenAI",
33 "models": [
34 "gpt-4",
35 "gpt-3.5-turbo"
36 ]
37 },
38 {
39 "provider": "Google",
40 "models": [
41 "google-translate-v3"
42 ]
43 }
44 ],
45 "documentationUrl": "https://docs.runtype.com/tools/language-translator"
46 }
47 ],
48 "total": 1
49}

List built-in tools available for prompt and agent tool configuration.

Was this page helpful?
Previous

List compatible built-in tools

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Built-in tools

datalist of objects
totalinteger

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error